=== src/CMakeLists.txt ===

#find zlib
FIND_PACKAGE(ZLIB REQUIRED)
set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/modules)
FIND_PACKAGE(QuaZip REQUIRED)

INCLUDE_DIRECTORIES(${ZLIB_INCLUDE_DIR})
INCLUDE_DIRECTORIES(${QUAZIP_INCLUDE_DIRS})
INCLUDE_DIRECTORIES("/usr/include/libodsstream")

# this command finds Qt4 libraries and sets all required variables
# note that it's Qt4, not QT4 or qt4

SET (QT_USE_QTXML true)
SET (QT_USE_QTXMLPATTERNS true)
FIND_PACKAGE( Qt4 REQUIRED )

# (QT_USE_FILE is a variable defined by FIND_PACKAGE( Qt4 ) that contains a path to CMake script)
INCLUDE( ${QT_USE_FILE} )



SET(libodsstream_SRC_LIB reader/odscell.cpp odsexception.h ./saxreader/saxhandlercontentxml.cpp ./odsdocreader.cpp structure/stylesxml.cpp structure/contentxml.cpp structure/metaxml.cpp structure/manifestxml.cpp
  ./odsdocwriter.cpp
)


ADD_LIBRARY(odsstream SHARED ${libodsstream_SRC_LIB})
ADD_LIBRARY(odsstream_static STATIC ${libodsstream_SRC_LIB})
set_target_properties(odsstream_static PROPERTIES OUTPUT_NAME odsstream)

ADD_EXECUTABLE(test_ods main.cpp)
TARGET_LINK_LIBRARIES(test_ods ${QT_LIBRARIES} ${QUAZIP_LIBRARIES} "odsstream")

INSTALL(TARGETS odsstream LIBRARY DESTINATION lib/libodsstream)
INSTALL(TARGETS odsstream_static ARCHIVE DESTINATION lib/libodsstream)

FILE(GLOB files "${CMAKE_CURRENT_SOURCE_DIR}/*.h")
INSTALL(FILES ${files} DESTINATION include/libodsstream)
