=== debian/changelog ===
libodsstream (0.0.1-1) wheezy; urgency=low

  * first debian package

 -- Olivier Langella <olivier.langella@moulon.inra.fr>  Sat, 6 Jul 2013 06:18:51 +0200
