=== debian/control ===
Source: libodsstream
Maintainer: Olivier Langella <olivier.langella@moulon.inra.fr>
Homepage: http://pappso.inra.fr/bioinfo
Section: libs
Priority: optional
Build-Depends: debhelper (>= 9),
               libquazip0-dev
Standards-Version: 3.9.4

Package: libodsstream0
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: C++ library to read or write ODS files
 libodsstream provides a simple way to read and write Open 
 Document Spreadsheet files using streams only to be memory efficient.

Package: libodsstream-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libodsstream0 (= ${binary:Version}),
         ${misc:Depends},
         libquazip-dev
Description: C++ library to read or write ODS files
 libodsstream provides a simple way to read and write Open 
 Document Spreadsheet files using streams only to be memory efficient.
