## libodsstream 0.4.8-1

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,18 +9,25 @@
 PROJECT(libodsstream CXX C)
 
 
+IF(NOT USEQT4)
+  IF(NOT USEQT5)
+    SET (USEQT4 1)
+  ENDIF(NOT USEQT5)
+ENDIF(NOT USEQT4)
+
 # Project version
 # 
 
 SET (LIBODSSTREAM_MAJOR_VERSION 0)
-SET (LIBODSSTREAM_MINOR_VERSION 0)
-SET (LIBODSSTREAM_PATCH_LEVEL   1)
+SET (LIBODSSTREAM_MINOR_VERSION 4)
+SET (LIBODSSTREAM_PATCH_LEVEL   8)
 SET (LIBODSSTREAM_VERSION
   "${LIBODSSTREAM_MAJOR_VERSION}.${LIBODSSTREAM_MINOR_VERSION}.${LIBODSSTREAM_PATCH_LEVEL}")
 SET (LIBODSSTREAM_LIB_NAME "libodsstream")
 SET (LIBODSSTREAM_LIB_VERSION ${LIBODSSTREAM_VERSION})
 SET (LIBODSSTREAM_LIB_SOVERSION ${LIBODSSTREAM_MAJOR_VERSION})
 
+SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
 
 if (NOT CMAKE_INSTALL_PREFIX)
   SET (CMAKE_INSTALL_PREFIX /usr/local)
@@ -128,6 +135,20 @@
 # dput -f olivier-langella *changes
 
 
+#dch -Djessie "message"
+#cmake ..
+#make deb
+# scp libodsstream* proteus:/var/www/apt/incoming
+# reprepro -Vb /var/www/apt processincoming default
+
+
+#dpkg-deb -x libodsstream-qt4_0.3.0-3_amd64.deb libodsstream-qt4_0.3.0-3
+#dpkg-gensymbols -v0 -plibodsstream-qt4 -Plibodsstream-qt4_0.3.0-3 -Osymbols
+#cp symbols ../debian/libodsstream-qt4.symbols
+#dpkg-deb -x libodsstream-qt5_0.3.0-3_amd64.deb libodsstream-qt5_0.3.0-3
+#dpkg-gensymbols -v0 -plibodsstream-qt5 -Plibodsstream-qt5_0.3.0-3 -Osymbols
+#cp symbols ../debian/libodsstream-qt5.symbols
+
 #MESSAGE("configuring file ${LIBODSSTREAM_SOURCE_DIR}/src/config.h.cmake")
 
 #configure_file (${LIBODSSTREAM_SOURCE_DIR}/src/config.h.cmake ${LIBODSSTREAM_SOURCE_DIR}/src/config.h)
@@ -162,3 +183,39 @@
 	WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
 	COMMENT "Creating Debian package" VERBATIM
 )
+
+
+	
+SET(DCH_VERSION "1")
+
+add_custom_target(symbolsqt5
+	dpkg-deb -x libodsstream-qt5_${LIBODSSTREAM_VERSION}-${DCH_VERSION}_amd64.deb libodsstream-qt5-untar && dpkg-gensymbols -v0 -plibodsstream-qt5 -Plibodsstream-qt5-untar -Osymbols && cp symbols ../debian/libodsstream-qt5.symbols
+	WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
+	COMMENT "symbolsqt5 " VERBATIM
+)
+	
+add_custom_target(symbolsqt4
+	dpkg-deb -x libodsstream-qt4_${LIBODSSTREAM_VERSION}-${DCH_VERSION}_amd64.deb libodsstream-qt4-untar && dpkg-gensymbols -v0 -plibodsstream-qt4 -Plibodsstream-qt4-untar -Osymbols && cp symbols ../debian/libodsstream-qt4.symbols
+	WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
+	COMMENT "symbolsqt4" VERBATIM
+)
+	
+add_custom_target(symbols
+	DEPENDS symbolsqt4 symbolsqt5
+	WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
+	COMMENT "symbols generation" VERBATIM
+)
+
+
+IF(NOT CMAKE_BUILD_TYPE MATCHES "Release")
+  ENABLE_TESTING()
+  INCLUDE(CTest)
+  IF (BUILD_TESTING)
+    ADD_SUBDIRECTORY(test)
+  ENDIF(BUILD_TESTING)
+ENDIF(NOT CMAKE_BUILD_TYPE MATCHES "Release" )
+
+
+
+# Install cmake module
+INSTALL(FILES modules/FindOdsstream.cmake DESTINATION share/cmake-3.0/Modules)
