=== debian/changelog ===
libodsstream (0.4.8-1) jessie; urgency=medium

  * new cell format for percentage

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Tue, 23 May 2017 22:01:00 +0200

libodsstream (0.4.7-2) jessie; urgency=medium

  * ends tsv files with EOL 

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Tue, 17 Jan 2017 15:49:21 +0100

libodsstream (0.4.7-1) jessie; urgency=medium

  * ods2tsv package

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Fri, 13 Jan 2017 16:15:20 +0100

libodsstream (0.4.6-1) jessie; urgency=medium

  * tabulation bug fixed, thanks to T. Balliau

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Mon, 12 Dec 2016 16:14:39 +0100

libodsstream (0.4.4-1) jessie; urgency=medium

  * write annotations in cells

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Fri, 19 Aug 2016 15:29:35 +0200

libodsstream (0.4.3-1) jessie; urgency=medium

  * better flush and close

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Thu, 21 Apr 2016 19:12:02 +0200

libodsstream (0.4.2-1) jessie; urgency=medium

  * virtual destructor for calc writer interface

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Tue, 19 Apr 2016 22:09:16 +0200

libodsstream (0.4.1-1) jessie; urgency=medium

  * API to write ODS directly in file

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Tue, 12 Apr 2016 21:07:25 +0200

libodsstream (0.4.0-1) jessie; urgency=medium

  * switch licence from GPLv3 to LGPLv3

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Fri, 16 Oct 2015 14:19:06 +0200

libodsstream (0.3.0-3) jessie; urgency=medium

  * SOVERSION number fixed

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Thu, 20 Aug 2015 21:36:18 +0200

libodsstream (0.3.0-2) jessie; urgency=medium

  * library informations added in debian package (symbols, shlibs)

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Thu, 20 Aug 2015 21:23:15 +0200

libodsstream (0.3.0-1) jessie; urgency=medium

  * first cell style support API

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Mon, 17 Aug 2015 17:04:04 +0200

libodsstream (0.2.1-1) jessie; urgency=medium

  * TSV output stream

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Mon, 13 Jul 2015 08:57:58 +0200

libodsstream (0.2.0-2) jessie; urgency=medium

  * make calc writer interface public

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Wed, 24 Jun 2015 22:28:32 +0200

libodsstream (0.2.0-1) jessie; urgency=medium

  * write tsv directory

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Wed, 24 Jun 2015 19:51:01 +0200

libodsstream (0.1.3-1) jessie; urgency=medium

  * write empty cell

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Tue, 16 Jun 2015 21:00:21 +0200

libodsstream (0.1.2-2) jessie; urgency=medium

  * endif bug fixed

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Fri, 12 Jun 2015 10:37:27 +0200

libodsstream (0.1.2-1) jessie; urgency=medium

  * double compilation qt4 and qt5

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Fri, 12 Jun 2015 10:16:02 +0200

libodsstream (0.1.1-2) jessie; urgency=medium

  * writeLine bug fixed

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Wed, 10 Jun 2015 13:27:22 +0200

libodsstream (0.1.1-1) jessie; urgency=medium

  * new version using Qt5

 -- Olivier Langella <olivier.langella@moulon.inra.fr>  Wed, 10 Jun 2015 07:56:44 +0200
