=== debian/control ===
Source: libodsstream
Maintainer: Olivier Langella <Olivier.Langella@moulon.inra.fr>
Homepage: http://pappso.inra.fr/bioinfo
Section: libs
Priority: optional
Build-Depends: debhelper (>= 9), libqt4-dev (>= 4.6.3), qt5-default, libquazip-qt5-dev, qtbase5-dev
Standards-Version: 3.9.4

Package: libodsstream-qt4
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: C++ library to read or write ODS files
 libodsstream provides a simple way to read and write Open 
 Document Spreadsheet files using streams only to be memory efficient.

Package: libodsstream-qt5
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: C++ library to read or write ODS files
 libodsstream provides a simple way to read and write Open 
 Document Spreadsheet files using streams only to be memory efficient.

Package: libodsstream-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libodsstream-qt4 (= ${binary:Version}), libodsstream-qt5 (= ${binary:Version}),
         ${misc:Depends},
         libquazip-dev
Description: C++ library to read or write ODS files
 libodsstream provides a simple way to read and write Open 
 Document Spreadsheet files using streams only to be memory efficient.

Package: libodsstream-doc
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends}
Description: doxygen documentation of the ODSstream library
 libodsstream provides a simple way to read and write Open 
 Document Spreadsheet files using streams only to be memory efficient.
 
Package: ods2tsv
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, libodsstream-qt5 (= ${binary:Version}),
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: ODS to TSV file converter
 uses libodsstream to convert Open Document Spreadsheet files to TSV format.
