=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,7 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+export DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 export DESTDIR=$(CURDIR)/debian/tmp
 
@@ -16,7 +17,7 @@
 
 configure: configure-stamp
 configure-stamp:
-	cmake -DCMAKE_INSTALL_PREFIX=/usr .
+	cmake -DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)" -DCMAKE_INSTALL_PREFIX=/usr -DUSEQT4=1 -DUSEQT5=1 -DCMAKE_BUILD_TYPE=Release .
 	dh_testdir
 	# Add here commands to configure the package.
 
@@ -77,6 +78,7 @@
 	dh_gencontrol
 	dh_md5sums
 	dh_builddeb
+	dh_makeshlibs
 
 binary: binary-indep binary-arch
 .PHONY: build clean binary-indep binary-arch binary install configure
