## libodsstream 0.4.13

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 IF(NOT USEQT4)
   IF(NOT USEQT5)
-    SET (USEQT4 1)
+    SET (USEQT5 1)
   ENDIF(NOT USEQT5)
 ENDIF(NOT USEQT4)
 
@@ -20,14 +20,14 @@
 
 SET (LIBODSSTREAM_MAJOR_VERSION 0)
 SET (LIBODSSTREAM_MINOR_VERSION 4)
-SET (LIBODSSTREAM_PATCH_LEVEL   8)
+SET (LIBODSSTREAM_PATCH_LEVEL   13)
 SET (LIBODSSTREAM_VERSION
   "${LIBODSSTREAM_MAJOR_VERSION}.${LIBODSSTREAM_MINOR_VERSION}.${LIBODSSTREAM_PATCH_LEVEL}")
 SET (LIBODSSTREAM_LIB_NAME "libodsstream")
 SET (LIBODSSTREAM_LIB_VERSION ${LIBODSSTREAM_VERSION})
 SET (LIBODSSTREAM_LIB_SOVERSION ${LIBODSSTREAM_MAJOR_VERSION})
 
-SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
+SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x")
 
 if (NOT CMAKE_INSTALL_PREFIX)
   SET (CMAKE_INSTALL_PREFIX /usr/local)
@@ -47,6 +47,7 @@
 
 IF(CMAKE_BUILD_TYPE MATCHES "Debug")
   MESSAGE("compiling as debug version")
+  set (MAKE_TEST 1)
 ENDIF( CMAKE_BUILD_TYPE MATCHES "Debug" )
 
 IF(CMAKE_BUILD_TYPE MATCHES "RelWithDebInfo")
@@ -113,8 +114,14 @@
   "\\\\.project"
   "\\\\.cproject"
   "/win32/"
+  "/win64/"
   "/build/"
+  "/buildwin64/"
+  "/cbuild/"
+  "/bin/"
   "/buildmingw/"
+  "test\\\\.ods"
+  "buildwin32.cmd"
   "libodsstream.so"
   "OpenDocument-v1.0-os.pdf"
   )
@@ -135,7 +142,7 @@
 # dput -f olivier-langella *changes
 
 
-#dch -Djessie "message"
+#dch -Dstretch "message"
 #cmake ..
 #make deb
 # scp libodsstream* proteus:/var/www/apt/incoming
@@ -159,12 +166,11 @@
 
 
 # for debian package :
-SET(CPACK_DEBIAN_PACKAGE_MAINTAINER "Olivier Langella <Olivier.Langella@moulon.inra.fr>")
-SET(DEBIAN_PACKAGE_BUILDS_DEPENDS "Olivier Langella <Olivier.Langella@moulon.inra.fr>")
+SET(CPACK_DEBIAN_PACKAGE_MAINTAINER "Olivier Langella <olivier.langella@u-psud.fr>")
+SET(DEBIAN_PACKAGE_BUILDS_DEPENDS "Olivier Langella <olivier.langella@u-psud.fr>")
 
 
 INCLUDE(CPack)
-
 
 add_subdirectory (src)
 
@@ -185,37 +191,18 @@
 )
 
 
-	
-SET(DCH_VERSION "1")
-
-add_custom_target(symbolsqt5
-	dpkg-deb -x libodsstream-qt5_${LIBODSSTREAM_VERSION}-${DCH_VERSION}_amd64.deb libodsstream-qt5-untar && dpkg-gensymbols -v0 -plibodsstream-qt5 -Plibodsstream-qt5-untar -Osymbols && cp symbols ../debian/libodsstream-qt5.symbols
-	WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
-	COMMENT "symbolsqt5 " VERBATIM
-)
-	
-add_custom_target(symbolsqt4
-	dpkg-deb -x libodsstream-qt4_${LIBODSSTREAM_VERSION}-${DCH_VERSION}_amd64.deb libodsstream-qt4-untar && dpkg-gensymbols -v0 -plibodsstream-qt4 -Plibodsstream-qt4-untar -Osymbols && cp symbols ../debian/libodsstream-qt4.symbols
-	WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
-	COMMENT "symbolsqt4" VERBATIM
-)
-	
-add_custom_target(symbols
-	DEPENDS symbolsqt4 symbolsqt5
-	WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
-	COMMENT "symbols generation" VERBATIM
-)
-
-
-IF(NOT CMAKE_BUILD_TYPE MATCHES "Release")
+IF(MAKE_TEST)
   ENABLE_TESTING()
   INCLUDE(CTest)
   IF (BUILD_TESTING)
     ADD_SUBDIRECTORY(test)
   ENDIF(BUILD_TESTING)
-ENDIF(NOT CMAKE_BUILD_TYPE MATCHES "Release" )
+ENDIF(MAKE_TEST)
 
 
 
 # Install cmake module
-INSTALL(FILES modules/FindOdsstream.cmake DESTINATION share/cmake-3.0/Modules)
+INSTALL(FILES modules/FindOdsstream.cmake DESTINATION share/cmake/Modules)
+# Install cmake config
+configure_file (${CMAKE_SOURCE_DIR}/modules/OdsstreamConfig.cmake ${CMAKE_SOURCE_DIR}/OdsstreamConfig.cmake)
+INSTALL(FILES ${CMAKE_SOURCE_DIR}/OdsstreamConfig.cmake DESTINATION lib${LIB_SUFFIX}/cmake/odsstream)
