=== doc/CMakeLists.txt ===

# add a target to generate API documentation with Doxygen
find_package(Doxygen)
if(DOXYGEN_FOUND)
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/Doxyfile.in ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile @ONLY)
add_custom_target(doc
${DOXYGEN_EXECUTABLE} ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile
WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}/src
COMMENT "Generating API documentation with Doxygen" VERBATIM
)
INSTALL(DIRECTORY  ${CMAKE_CURRENT_BINARY_DIR}/html DESTINATION share/doc/libodsstream)

endif(DOXYGEN_FOUND)
