=== test/CMakeLists.txt ===
--- 
+++ 
@@ -36,8 +36,8 @@
 
 IF (USEQT5)
   IF (USEQT4)
-     SET (USEQT5 0)
-     SET (USEQT4 1)
+     SET (USEQT5 1)
+     SET (USEQT4 0)
   ENDIF(USEQT4)
 ENDIF(USEQT5)
