=== debian/changelog ===
libodsstream (0.4.13-2) unstable; urgency=medium

  * Fix cmake find script

 -- Olivier Langella <olivier.langella@u-psud.fr>  Mon, 19 Feb 2018 12:21:23 +0100

libodsstream (0.4.13-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Mon, 12 Feb 2018 09:54:20 +0100

libodsstream (0.4.12-1) unstable; urgency=medium

  [ Olivier Langella ]
  * first attempt to build an official debian package

  [ Andreas Tille ]
  * Add watch file
  * Set Debichem team as maintainer
  * Add Vcs fields
  * cme fix dpkg-control
  * source/format: 3.0 (quilt)
  * remove dbgsym packages
  * d/rules: short dh
  * Add missing Build-Depends: cmake
  * debhelper 10
  * Standards-Version: 4.1.2

 -- Olivier Langella <olivier.langella@u-psud.fr>  Tue, 14 Nov 2017 14:53:53 +0100

libodsstream (0.4.10-1) stretch; urgency=medium

  * bug fixed writing URL cells

 -- Olivier Langella <olivier.langella@u-psud.fr>  Sun, 13 Aug 2017 14:34:21 +0200

libodsstream (0.4.9-1) stretch; urgency=medium

  * virtual function to write sheetname

 -- Olivier Langella <olivier.langella@u-psud.fr>  Tue, 20 Jun 2017 21:38:56 +0200

libodsstream (0.4.8-2) stretch; urgency=medium

  * first stetch package

 -- Olivier Langella <olivier.langella@u-psud.fr>  Tue, 20 Jun 2017 17:15:08 +0200

libodsstream (0.4.6-2) stretch; urgency=medium

  * stretch package

 -- Olivier Langella <olivier.langella@u-psud.fr>  Sat, 17 Dec 2016 07:47:07 +0100

libodsstream (0.4.5-3) stretch; urgency=medium

  * cmake 3.7 

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Sun, 20 Nov 2016 16:12:52 +0100

libodsstream (0.4.5-2) stretch; urgency=medium

  * install cmake module

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Sat, 03 Sep 2016 14:07:28 +0200

libodsstream (0.4.5-1) stretch; urgency=medium

  * package for stretch

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Thu, 25 Aug 2016 21:53:45 +0200
